Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.encoding
Interface Serializer

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  Serializer, SimpleValueSerializer

All Known Implementing Classes:
  ArraySerializer, Base64Serializer, BeanSerializer, CalendarSerializer, CastorEnumTypeSerializer, CastorSerializer, DateSerializer, DocumentSerializer, ElementSerializer, HexSerializer, JAFDataHandlerSerializer, MapSerializer, QNameSerializer, SimpleListSerializer, SimpleSerializer, TimeSerializer, VectorSerializer, XmlBeanSerializer

public interface Serializer
extends java.io.Serializable

The javax.xml.rpc.encoding.Serializer interface defines the base interface for serializers. A Serializer converts a Java object to an XML representation using a specific XML processing mechanism and based on the specified type mapping and encoding style.

Version:
  1.0

Method Summary
`java.lang.String` | `getMechanismType()` Gets the type of the XML processing mechanism and representation used by this Serializer.

Method Detail

### getMechanismType

    public java.lang.String getMechanismType()

  Gets the type of the XML processing mechanism and representation used by this Serializer.

  Returns:
    XML processing mechanism type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.